<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:15 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ASTParserTokenManager (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ASTParserTokenManager (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ASTParserTokenManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/CommentsInserter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html" target="_top">Frames</a></li>
<li><a href="ASTParserTokenManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.javaparser</div>
<h2 title="Class ASTParserTokenManager" class="title">Class ASTParserTokenManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ASTParserTokenManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">ASTParserConstants</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ASTParserTokenManager</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">ASTParserConstants</a></pre>
<div class="block">Token Manager.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#curChar">curChar</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/io/PrintStream.html?is-external=true" title="class or interface in java.io">PrintStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#debugStream">debugStream</a></span></code>
<div class="block">Debug output.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#input_stream">input_stream</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#jjnewLexState">jjnewLexState</a></span></code>
<div class="block">Lex State array.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#jjstrLiteralImages">jjstrLiteralImages</a></span></code>
<div class="block">Token literal values.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#lexStateNames">lexStateNames</a></span></code>
<div class="block">Lexer state names.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ASTParserConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.javaparser.<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">ASTParserConstants</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#Z:Z_DEFAULT">_DEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ABSTRACT">ABSTRACT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ANDASSIGN">ANDASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ARROW">ARROW</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ASSERT">ASSERT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ASSIGN">ASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#AT">AT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#BANG">BANG</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#BINARY_LITERAL">BINARY_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#BIT_AND">BIT_AND</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#BIT_OR">BIT_OR</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#BOOLEAN">BOOLEAN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#BREAK">BREAK</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#BYTE">BYTE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#CASE">CASE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#CATCH">CATCH</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#CHAR">CHAR</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#CHARACTER_LITERAL">CHARACTER_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#CLASS">CLASS</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#COLON">COLON</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#COMMA">COMMA</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#CONST">CONST</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#CONTINUE">CONTINUE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DECIMAL_EXPONENT">DECIMAL_EXPONENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DECIMAL_FLOATING_POINT_LITERAL">DECIMAL_FLOATING_POINT_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DECIMAL_LITERAL">DECIMAL_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DECR">DECR</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DEFAULT">DEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DO">DO</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DOT">DOT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DOUBLE">DOUBLE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#DOUBLECOLON">DOUBLECOLON</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ELLIPSIS">ELLIPSIS</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ELSE">ELSE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ENUM">ENUM</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#EOF">EOF</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#EQ">EQ</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#EXTENDS">EXTENDS</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#FALSE">FALSE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#FINAL">FINAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#FINALLY">FINALLY</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#FLOAT">FLOAT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#FLOATING_POINT_LITERAL">FLOATING_POINT_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#FOR">FOR</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#GE">GE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#GOTO">GOTO</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#GT">GT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#HEX_LITERAL">HEX_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#HEXADECIMAL_EXPONENT">HEXADECIMAL_EXPONENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#HEXADECIMAL_FLOATING_POINT_LITERAL">HEXADECIMAL_FLOATING_POINT_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#HOOK">HOOK</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#IDENTIFIER">IDENTIFIER</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#IF">IF</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#IMPLEMENTS">IMPLEMENTS</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#IMPORT">IMPORT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#IN_JAVA_DOC_COMMENT">IN_JAVA_DOC_COMMENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#IN_MULTI_LINE_COMMENT">IN_MULTI_LINE_COMMENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#INCR">INCR</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#INSTANCEOF">INSTANCEOF</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#INT">INT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#INTEGER_LITERAL">INTEGER_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#INTERFACE">INTERFACE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#JAVA_DOC_COMMENT">JAVA_DOC_COMMENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LBRACE">LBRACE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LBRACKET">LBRACKET</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LE">LE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LETTER">LETTER</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LONG">LONG</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LONG_LITERAL">LONG_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LPAREN">LPAREN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LSHIFT">LSHIFT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LSHIFTASSIGN">LSHIFTASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#LT">LT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#MINUS">MINUS</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#MINUSASSIGN">MINUSASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#MULTI_LINE_COMMENT">MULTI_LINE_COMMENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#NATIVE">NATIVE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#NE">NE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#NEW">NEW</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#NULL">NULL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#OCTAL_LITERAL">OCTAL_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#ORASSIGN">ORASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#PACKAGE">PACKAGE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#PART_LETTER">PART_LETTER</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#PLUS">PLUS</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#PLUSASSIGN">PLUSASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#PRIVATE">PRIVATE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#PROTECTED">PROTECTED</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#PUBLIC">PUBLIC</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#RBRACE">RBRACE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#RBRACKET">RBRACKET</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#REM">REM</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#REMASSIGN">REMASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#RETURN">RETURN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#RPAREN">RPAREN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#RSIGNEDSHIFT">RSIGNEDSHIFT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#RSIGNEDSHIFTASSIGN">RSIGNEDSHIFTASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#RUNSIGNEDSHIFT">RUNSIGNEDSHIFT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#RUNSIGNEDSHIFTASSIGN">RUNSIGNEDSHIFTASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SC_AND">SC_AND</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SC_OR">SC_OR</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SEMICOLON">SEMICOLON</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SHORT">SHORT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SINGLE_LINE_COMMENT">SINGLE_LINE_COMMENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SLASH">SLASH</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SLASHASSIGN">SLASHASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#STAR">STAR</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#STARASSIGN">STARASSIGN</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#STATIC">STATIC</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#STRICTFP">STRICTFP</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#STRING_LITERAL">STRING_LITERAL</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SUPER">SUPER</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SWITCH">SWITCH</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#SYNCHRONIZED">SYNCHRONIZED</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#THIS">THIS</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#THROW">THROW</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#THROWS">THROWS</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#TILDE">TILDE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#tokenImage">tokenImage</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#TRANSIENT">TRANSIENT</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#TRUE">TRUE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#TRY">TRY</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#VOID">VOID</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#VOLATILE">VOLATILE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#WHILE">WHILE</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#XOR">XOR</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html#XORASSIGN">XORASSIGN</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#ASTParserTokenManager-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.JavaCharStream-">ASTParserTokenManager</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a>&nbsp;stream)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#ASTParserTokenManager-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.JavaCharStream-int-">ASTParserTokenManager</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a>&nbsp;stream,
                     int&nbsp;lexState)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">Token</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#getNextToken--">getNextToken</a></span>()</code>
<div class="block">Get the next Token.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">Token</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#jjFillToken--">jjFillToken</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#ReInit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.JavaCharStream-">ReInit</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a>&nbsp;stream)</code>
<div class="block">Reinitialise parser.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#ReInit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.JavaCharStream-int-">ReInit</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a>&nbsp;stream,
      int&nbsp;lexState)</code>
<div class="block">Reinitialise parser.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#setDebugStream-java.io.PrintStream-">setDebugStream</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/io/PrintStream.html?is-external=true" title="class or interface in java.io">PrintStream</a>&nbsp;ds)</code>
<div class="block">Set debug output.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html#SwitchTo-int-">SwitchTo</a></span>(int&nbsp;lexState)</code>
<div class="block">Switch to specified lex state.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="debugStream">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debugStream</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/io/PrintStream.html?is-external=true" title="class or interface in java.io">PrintStream</a> debugStream</pre>
<div class="block">Debug output.</div>
</li>
</ul>
<a name="jjstrLiteralImages">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjstrLiteralImages</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] jjstrLiteralImages</pre>
<div class="block">Token literal values.</div>
</li>
</ul>
<a name="lexStateNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lexStateNames</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] lexStateNames</pre>
<div class="block">Lexer state names.</div>
</li>
</ul>
<a name="jjnewLexState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjnewLexState</h4>
<pre>public static final&nbsp;int[] jjnewLexState</pre>
<div class="block">Lex State array.</div>
</li>
</ul>
<a name="input_stream">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>input_stream</h4>
<pre>protected&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a> input_stream</pre>
</li>
</ul>
<a name="curChar">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>curChar</h4>
<pre>protected&nbsp;char curChar</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ASTParserTokenManager-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.JavaCharStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ASTParserTokenManager</h4>
<pre>public&nbsp;ASTParserTokenManager(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a>&nbsp;stream)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="ASTParserTokenManager-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.JavaCharStream-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ASTParserTokenManager</h4>
<pre>public&nbsp;ASTParserTokenManager(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a>&nbsp;stream,
                             int&nbsp;lexState)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setDebugStream-java.io.PrintStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDebugStream</h4>
<pre>public&nbsp;void&nbsp;setDebugStream(<a href="http://docs.oracle.com/javase/8/docs/api/java/io/PrintStream.html?is-external=true" title="class or interface in java.io">PrintStream</a>&nbsp;ds)</pre>
<div class="block">Set debug output.</div>
</li>
</ul>
<a name="ReInit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.JavaCharStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a>&nbsp;stream)</pre>
<div class="block">Reinitialise parser.</div>
</li>
</ul>
<a name="ReInit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.JavaCharStream-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">JavaCharStream</a>&nbsp;stream,
                   int&nbsp;lexState)</pre>
<div class="block">Reinitialise parser.</div>
</li>
</ul>
<a name="SwitchTo-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SwitchTo</h4>
<pre>public&nbsp;void&nbsp;SwitchTo(int&nbsp;lexState)</pre>
<div class="block">Switch to specified lex state.</div>
</li>
</ul>
<a name="jjFillToken--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjFillToken</h4>
<pre>protected&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">Token</a>&nbsp;jjFillToken()</pre>
</li>
</ul>
<a name="getNextToken--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getNextToken</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser">Token</a>&nbsp;getNextToken()</pre>
<div class="block">Get the next Token.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ASTParserTokenManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/CommentsInserter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserTokenManager.html" target="_top">Frames</a></li>
<li><a href="ASTParserTokenManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
